package com.sky.ioc.service.energy;

import com.sky.ioc.tool.ReturnMsg;

public interface EnergyDeviceService {

    ReturnMsg getDeviceList();

    ReturnMsg openWaterHeater(Integer deviceId,Integer open);

    ReturnMsg openControlAirCondition(Integer deviceId,Double temperature,Double speed,Integer mode);

    ReturnMsg openControlLight(Integer deviceId,Integer open);
}
